Implement OFnew<> et al. and employ them to ensure exception free behavior
2015-04-16 11:29 - Jan Schlamelcher

Status: Closed Start date: 2015-04-16
Assignee: Jan Schlamelcher % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: Compiler:

Operating System:

Description

The memory management functions new, new[], delete and delete[] might trow exceptions under certain circumstances. Implement
OFnew and corresponding delete functions that ensure the exception free alternatives are used. Replace existing calls to new and
delte with OFnew and OFdelete. See suggested implementation below.

History

#1 - 2024-08-09 18:56 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

std::nothrow is C++98, which we meanwhile assume to be present. No special handling for historic compilers not supporting this is required anymore.
